#ifndef _LCMFS_H_
#define _LCMFS_H_

#include <libhrel/types.h>
#include <libhrel/tuple.h>

#include <bmpx/metadata.h>

void
lcmfs_init ();

void
lcmfs_open (const gchar *lcmfs_base);

void
lcmfs_close ();

gboolean
lcmfs_record_exists (const gchar *pkey);

HTuple*
lcmfs_record_get (const gchar *pkey);

gboolean
lcmfs_record_add (HTuple *record);

void
lcmfs_read_all (BmpMetadataCache *cache);
 
#endif
